server:
  port: ${PORT:8080}

spring:
  datasource:
      username: spqoqvqeckyejd
      password: 969a2de3110b3fb8106dfbe69aad97fb7d50e5406e11ec77dc6653115204b16f
      driver-class-name: org.postgresql.Driver
      url: jdbc:postgresql://ec2-54-247-137-184.eu-west-1.compute.amazonaws.com:5432/d1pa7rpporfkrr
      hikari:
        maximum-pool-size: 10
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  liquibase:
    change-log: classpath:/db/changelog/db.changelog-master.xml
  quartz:
    jdbc:
      initialize-schema: always
    job-store-type: jdbc
    properties:
      org:
        quartz:
          scheduler:
            instanceId: AUTO
          jobStore:
            driverDelegateClass: org.quartz.impl.jdbcjobstore.PostgreSQLDelegate
            isClustered: true


mybatis:
  mapper-locations: classpath*:mappings/*.xml
  type-handlers-package: ru.tinkoff.parking.handler

configuration:
  users:
    user:
      name: user
      password: password
    admin:
      name: admin
      password: password
  schedule:
    booking:
      stats-cron: 0 0/2 * ? * * *
      poll-freq: 60000